Sync Transactions
curl --request POST \
--url https://api.octav.fi/v1/sync-transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addresses": [
"0x6426af179aabebe47666f345d69fd9079673f6cd"
]
}
'import requests
url = "https://api.octav.fi/v1/sync-transactions"
payload = { "addresses": ["0x6426af179aabebe47666f345d69fd9079673f6cd"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({addresses: ['0x6426af179aabebe47666f345d69fd9079673f6cd']})
};
fetch('https://api.octav.fi/v1/sync-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Address is syncing"Sync
Sync Transactions
Manually trigger transaction synchronization for an address.
Cost: 1 credit + 1 credit per 250 transactions indexed
Get your API key: Dev Portal
POST
/
sync-transactions
Sync Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of addresses to sync (currently supports 1 address)
Response
200 - text/plain
Sync initiated successfully
The response is of type string.
Example:
"Address is syncing"
Was this page helpful?
⌘I